<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 18 20:28:05 EEST 2020 -->
<title>S-Index</title>
<meta name="date" content="2020-05-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Controller/RestaurantSer.html#serialize-Model.Restaurant-java.lang.String-">serialize(Restaurant, String)</a></span> - Static method in class Controller.<a href="../Controller/RestaurantSer.html" title="class in Controller">RestaurantSer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Order.html#setDate-java.lang.String-">setDate(String)</a></span> - Method in class Model.<a href="../Model/Order.html" title="class in Model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/menuitems/BaseProduct.html#setName-java.lang.String-">setName(String)</a></span> - Method in class Model.menuitems.<a href="../Model/menuitems/BaseProduct.html" title="class in Model.menuitems">BaseProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Order.html#setOrderId-int-">setOrderId(int)</a></span> - Method in class Model.<a href="../Model/Order.html" title="class in Model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Administrator.html#setPassword-java.lang.String-">setPassword(String)</a></span> - Method in class Model.<a href="../Model/Administrator.html" title="class in Model">Administrator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Chef.html#setPassword-java.lang.String-">setPassword(String)</a></span> - Method in class Model.<a href="../Model/Chef.html" title="class in Model">Chef</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Waiter.html#setPassword-java.lang.String-">setPassword(String)</a></span> - Method in class Model.<a href="../Model/Waiter.html" title="class in Model">Waiter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/menuitems/BaseProduct.html#setPrice-double-">setPrice(double)</a></span> - Method in class Model.menuitems.<a href="../Model/menuitems/BaseProduct.html" title="class in Model.menuitems">BaseProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Order.html#setTable-int-">setTable(int)</a></span> - Method in class Model.<a href="../Model/Order.html" title="class in Model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Administrator.html#setUsername-java.lang.String-">setUsername(String)</a></span> - Method in class Model.<a href="../Model/Administrator.html" title="class in Model">Administrator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Chef.html#setUsername-java.lang.String-">setUsername(String)</a></span> - Method in class Model.<a href="../Model/Chef.html" title="class in Model">Chef</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Waiter.html#setUsername-java.lang.String-">setUsername(String)</a></span> - Method in class Model.<a href="../Model/Waiter.html" title="class in Model">Waiter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/example/AppTest.html#shouldAnswerWithTrue--">shouldAnswerWithTrue()</a></span> - Method in class org.example.<a href="../org/example/AppTest.html" title="class in org.example">AppTest</a></dt>
<dd>
<div class="block">Rigorous Test :-)</div>
</dd>
<dt><a href="../Start/package-summary.html">Start</a> - package Start</dt>
<dd>&nbsp;</dd>
<dt><a href="../Start/Start.html" title="class in Start"><span class="typeNameLink">Start</span></a> - Class in <a href="../Start/package-summary.html">Start</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Start/Start.html#Start--">Start()</a></span> - Constructor for class Start.<a href="../Start/Start.html" title="class in Start">Start</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
